%global momorel         2

%define  xfontdir        %{_datadir}/fonts
%define update_cache    /usr/bin/fc-cache 
%define langlist        "bengali hindi gujarati tamil punjabi kannada malayalam oriya telugu"

Name:        fonts-indic
Version:     2.1.5
Release:     %{momorel}m%{?dist}
License:     GPL
Group:       User Interface/X
BuildArch:   noarch
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
URL:       http://fedoraproject.org/wiki/Lohit
Source:    fonts-indic-%{version}.tar.gz

Summary: Free Indian truetype/opentype fonts
%description
This package provides the Hindi, Bengali, Gujarati, Punjabi, Tamil,
Kannada, Malayalam, Oriya, Telugu TrueType/Opentype fonts.


%package -n fonts-bengali
Summary: Free Bengali truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-bn <= 1.6-1 
Provides :  ttfonts-bn <= 1.6-1
Obsoletes:  truetype-fonts-bengali
Provides :  truetype-fonts-bengali
Requires:   fontconfig
%description -n fonts-bengali
These are the free Bengali truetype/opentype fonts. 

%package -n fonts-gujarati
Summary: Free Gujarati truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-gu <= 1.6-1 
Provides :  ttfonts-gu <= 1.6-1
Obsoletes:  truetype-fonts-gujarati
Provides :  truetype-fonts-gujarati
Requires:   fontconfig
%description -n fonts-gujarati
These are the free Gujarati truetype/opentype fonts. 

%package -n fonts-hindi
Summary: Free Hindi truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-hi <= 1.6-1 
Provides :  ttfonts-hi <= 1.6-1
Obsoletes:  truetype-fonts-hindi
Provides :  truetype-fonts-hindi
Requires:   fontconfig
%description -n fonts-hindi
These are the free Hindi truetype/opentype fonts. 

%package -n fonts-punjabi
Summary: Free Punjabi truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-pa <= 1.6-1 
Provides :  ttfonts-pa <= 1.6-1
Obsoletes:  truetype-fonts-punjabi
Provides :  truetype-fonts-punjabi
Requires:   fontconfig
%description -n fonts-punjabi
These are the free Punjabi truetype/opentype fonts. 

%package -n fonts-tamil
Summary: Free Tamil truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-ta <= 1.6-1 
Provides :  ttfonts-ta <= 1.6-1
Obsoletes:  truetype-fonts-tamil
Provides:  truetype-fonts-tamil
Requires:   fontconfig
%description -n fonts-tamil
These are the free Tamil truetype/opentype fonts. 

%package -n fonts-kannada
Summary: Free Kannada truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-kn <= 1.6-1
Provides :  ttfonts-kn <= 1.6-1
Requires:   fontconfig
%description -n fonts-kannada
These are the free Kannada truetype/opentype fonts. 

%package -n fonts-malayalam
Summary: Free Malayalam truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-ml <= 1.6-1 
Provides :  ttfonts-ml <= 1.6-1
Requires:   fontconfig
%description -n fonts-malayalam
These are the free Malayalam truetype/opentype fonts. 

%package -n fonts-oriya
Summary: Free Oriya truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-or <= 1.6-1 
Provides :  ttfonts-or <= 1.6-1
Requires:   fontconfig
%description -n fonts-oriya
These are the free Oriya truetype/opentype fonts. 

%package -n fonts-telugu
Summary: Free Telugu truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-te <= 1.6-1 
Provides :  ttfonts-te <= 1.6-1
Requires:   fontconfig
%description -n fonts-telugu
These are the free Telugu truetype/opentype fonts. 

%prep
%setup -q

%build
echo "Nothing to do in Build."

%install
rm -rf $RPM_BUILD_ROOT

for i in "%{langlist}"
do
  install -d $RPM_BUILD_ROOT/%{xfontdir}/$i
  install -m 0644 $i/* $RPM_BUILD_ROOT/%{xfontdir}/$i
  # Ghost the fonts.cache-1 file
  touch $RPM_BUILD_ROOT/%{xfontdir}/$i/fonts.cache-1
done

%clean
rm -rf $RPM_BUILD_ROOT

%post -n fonts-bengali
[  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null

%post -n fonts-gujarati
[  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null

%post -n fonts-hindi
[  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null

%post -n fonts-punjabi
[  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null

%post -n fonts-tamil
[  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null

%post -n fonts-kannada
[  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null

%post -n fonts-malayalam
[  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null

%post -n fonts-oriya
[  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null

%post -n fonts-telugu
[  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null



%postun -n fonts-bengali
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null
fi

%postun -n fonts-gujarati
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null
fi

%postun -n fonts-hindi
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null
fi

%postun -n fonts-punjabi
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null
fi

%postun -n fonts-tamil
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null
fi

%postun -n fonts-kannada
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null
fi

%postun -n fonts-malayalam
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null
fi

%postun -n fonts-oriya
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null
fi

%postun -n fonts-telugu
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} -f %{xfontdir} 2> /dev/null
fi


%files -n fonts-bengali
%defattr(-, root, root)
%dir %{xfontdir}/bengali
%doc COPYING README AUTHORS
%ghost %{xfontdir}/bengali/fonts.cache-1
%{xfontdir}/bengali/*ttf

%files -n fonts-gujarati
%defattr(-, root, root)
%dir %{xfontdir}/gujarati
%doc COPYING README AUTHORS
%ghost %{xfontdir}/gujarati/fonts.cache-1
%{xfontdir}/gujarati/*ttf

%files -n fonts-hindi
%defattr(-, root, root)
%dir %{xfontdir}/hindi
%doc COPYING README AUTHORS
%ghost %{xfontdir}/hindi/fonts.cache-1
%{xfontdir}/hindi/*ttf

%files -n fonts-punjabi
%defattr(-, root, root)
%dir %{xfontdir}/punjabi
%doc COPYING README AUTHORS
%ghost %{xfontdir}/punjabi/fonts.cache-1
%{xfontdir}/punjabi/*ttf

%files -n fonts-tamil
%defattr(-, root, root)
%dir %{xfontdir}/tamil
%doc COPYING README AUTHORS
%ghost %{xfontdir}/tamil/fonts.cache-1
%{xfontdir}/tamil/*ttf

%files -n fonts-kannada
%defattr(-, root, root)
%dir %{xfontdir}/kannada
%doc COPYING README AUTHORS
%ghost %{xfontdir}/kannada/fonts.cache-1
%{xfontdir}/kannada/*ttf

%files -n fonts-malayalam
%defattr(-, root, root)
%dir %{xfontdir}/malayalam
%doc COPYING README AUTHORS
%ghost %{xfontdir}/malayalam/fonts.cache-1
%{xfontdir}/malayalam/*ttf

%files -n fonts-oriya
%defattr(-, root, root)
%dir %{xfontdir}/oriya
%doc COPYING README AUTHORS
%ghost %{xfontdir}/oriya/fonts.cache-1
%{xfontdir}/oriya/*ttf

%files -n fonts-telugu
%defattr(-, root, root)
%dir %{xfontdir}/telugu
%doc COPYING README AUTHORS
%ghost %{xfontdir}/telugu/fonts.cache-1
%{xfontdir}/telugu/*ttf

%changelog
* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.5-2m)
- remove %%{xfontdir} from %%files, it's already provided by fontconfig

* Sun Jun 10 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.1.5-1m)
- import from Fedora

* Mon Mar 26 2007 Parag Nemade <pnemade@redhat.com> - 2.1.5
- Resolved Bugs from Parag Nemade
- Bug 231965: [kn_IN] wrong Conjuct combines during the formation kannada letter [yo]
- Bug 233257: [kn_IN] Conjuct combination of U0CAE with U0CCB is rendering wrongly
- Bug 233415: [kn_IN] GSUB's combinaing with additional dependent vowel are not rendering correctly
- Bug 233554: [kn_IN] GSUB's combinaing with additional dependent vowel U0CC0 are not rendering correctly
- Bug 233555: [kn_IN] GSUB's combinaing with additional dependent vowel U0CC7 are not rendering correctly
- Bug 233556: [kn_IN] GSUB's combinaing with additional dependent vowel U0CC6 are not rendering correctly
- Bug 233557: [kn_IN] GSUB's combinaing with additional dependent vowel U0CC8 are not rendering correctly
- Bug 233558: [kn_IN] GSUB's combinaing with additional dependent vowel U0CCBare not rendering correctly
- Bug 233559: [kn_IN] GSUB's combinaing with additional dependent vowel U0CBE are not rendering correctly
- Bug 233560: [kn_IN] GSUB's combinaing with additional dependent vowel U0CBF are not rendering correctly

* Mon Mar 05 2007 Parag Nemade <pnemade@redhat.com> - 2.1.4
- Resolved Bugs from Parag Nemade
- Bug 221383: [kn_IN] GSUB combinations has problem with Ra

* Mon Feb 19 2007 Parag Nemade <pnemade@redhat.com> - 2.1.3-1
- Resolved Bugs from Parag Nemade
- Bug 202401: [ta_IN] New codepoints/glyphs in Unicode 5.0
- Bug 223774: [kn_IN] Some Ligature rules are wrong in the font file
- Bug 223971: [kn_IN] Consonant + Halant + Consonant + Dependent Vowel not appearing properly in some rare cases
- Bug 227971: [kn_IN] Combinations with 2 Halants not rendering properly

* Thu Feb 08 2007 Parag Nemade <pnemade@redhat.com> - 2.1.2-3
- Updated SPEC file to solve cache problems by adding -f to post* sections.

* Thu Feb 01 2007 Parag Nemade <pnemade@redhat.com> - 2.1.2-2
- Updated SPEC file as part of core/extras merge

* Tue Jan 18 2007 Parag Nemade <pnemade@redhat.com> - 2.1.2-1
- Resolved Bugs from Parag Nemade
- Bug 222407: [or_IN] [fonts-indic] - One GSUB Conjunct is not appearing with its correct shape
- Bug 206434: [ml_IN] Digits are appearing in English instead of malayalam - Priority C
- Bug 215894: Relative height of 0x0901 (and 0x0902) on 0x0915 is different than other devnagari characters (hi_IN, mr_IN)
- Bug 222408: [te_IN] [fonts-indic] - Danda and Double Danda to be implemented with 0964 && 0965
- Bug 222409: [kn_IN] [fonts-indic] - Danda and Double Danda to be implemented with 0964 && 0965
- Bug 221384: [kn_IN] - shape of ra (U+0CB0) is not corret in combined character (below base)
- Added AUTHORS,README to %%doc

* Fri Jan 12 2007 Parag Nemade <pnemade@redhat.com> - 2.0.13-1
- Resolves: RH#220880 for [or_IN], RH#222406 for [ml_IN] (Parag Nemade)

* Thu Jan 04 2007 Parag Nemade <pnemade@redhat.com> - 2.0.12-1
- Resolves: RH#220881 for [ta_IN], RH#220882 for [hi_IN] (Parag Nemade)

* Thu Jan 04 2007 Parag Nemade <pnemade@redhat.com> - 2.0.11-1
- Resolves: RH#216639 and RH#217482 for [kn_IN] (Parag Nemade)
- Resolves: RH#219583 for [pa_IN] (Parag Nemade)
- Resolves: RH#218588 for [gu_IN] (Parag Nemade) 

* Tue Dec 06 2006 Parag Nemade <pnemade@redhat.com> - 2.0.10-1
- Resolved Bugs from Parag Nemade
- Resolves: bug 207269 for [ta_IN],bug 217482 for [kn_IN],bug 216628 for [ml_IN],bug 218588 for [gu_IN],bug 206599 for [te_IN]
- Resolved Bugs from LingNing Zhang
- Resolves: Bug 218586,bug 218587 for [ml_IN]

* Tue Nov 21 2006 Parag Nemade <pnemade@redhat.com> - 2.0.9-1
- Fixed Bugs from Parag Nemade 
- Bug 216060: [pa_IN]Lohit Punjabi: (U+0A03) Gurmukhi Sign Visarga right margin is too wide.

* Tue Nov 21 2006 Parag Nemade <pnemade@redhat.com> - 2.0.8-1
- Fixed Bugs from Parag Nemade 
- Bug 216629 : [te_IN] GPOS position should be at middle instead of left hand side - Priority B
- Bug 216631 : [or_IN] one GSUB Rule is wrongly defined - Priority A
- Bug 216628 : [ml] characters are not shown bold during selecting BOLD font
- Bug 216624 : [pa_IN] 0a01/0a03/0964/0965 is missing from font
- Bug 216634 : Glyphs for two combinations are wrong in Gujarati (gu_IN)
- Bug 197216 : [bn_IN]Incorrect glyph for conjunct
- Bug 215894 : Relative height of 0x0901 (and 0x0902) on 0x0915 is different than
               other devnagari characters (hi_IN, mr_IN) 
- Fixed Bugs from LingNing Zhang
- Bug 216626 : [as_IN] Pango - A particular char when Conjuncts, creates Cursor Nevigation Problem
- Bug 216627 : [ml_IN] The glyph of 0x25CC is not existing in lohit_ml.ttf
- Bug 216639 : [kn_IN] OTF rules to be fixed - Priority A

* Fri Sep 29 2006 Leon Ho <llch@redhat.com> - 2.0.6-1
- fixed mr_IN: RH#208525, RH#208540 (LingNing Zhang)

* Fri Sep 29 2006 Leon Ho <llch@redhat.com> - 2.0.5-1
- fixed hi/mr_IN: RH#206422, RH#208068, RH#206426 (Rahul Bhalerao)
- fixed bn_IN: RH#206286 (Rahul)
- fixed pa_IN: RH#143179 (Rahul)

* Tue Sep 26 2006 Leon Ho <llch@redhat.com> - 2.0.4-1
- fixed RH#206387, RH#206431, RH#202163, RH#192934 for ml_IN (Rahul Bhalerao)
- fixed RH#206581, RH#206950 for or_IN (Rahul)

* Mon Sep 18 2006 Leon Ho <llch@redhat.com> - 2.0.3-1
- fixed RH#206301, RH#206461, RH#206597, RH#206550, RH#206291, RH#206446, RH#206469, RH#206587, RH#206589, RH#187481, RH#206950 for or_IN by Rahul Bhalerao <rbhalera@redhat.com>

* Thu Sep 14 2006 Leon Ho <llch@redhat.com> - 2.0.2-1
- fixed RH#206228 for ml_IN

* Thu Aug 17 2006 Leon Ho <llch@redhat.com> - 2.0.1-1
- fixed RH#201041 for bn_IN
- fixed RH#197639, RH#202161, RH#202163 for ml_IN
- fixed RH#201998 for kn_IN

* Mon Jul 31 2006 Darshan Santani <dsantani@redhat.com> - 2.0-2
- Bug Fixes "Bengali" RH#179821,  RH#197216, RH#169110
- Bug Fixes "Punjabi" RH #167592.
- Bug Fixes "Hindi" RH#189334 

* Wed Jul 19 2006 Leon Ho <llch@redhat.com> - 2.0-1
- added 4 new indic fonts
- added the glyphs u+0964 and u+0965 (Danda and Double Danda) in Bengali, Punjabi and Tamil (RH#183144)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.10-2.1.1
- rebuild

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue May 17 2005 Leon Ho <llch@redhat.com> 1.10-2
- fix Requires: fontconfig (#151771)

* Mon May 16 2005 Leon Ho <llch@redhat.com> 1.10-1
- New punjabi fonts to fix RH#151630

* Thu Mar 17 2005 Leon Ho <llch@redhat.com> 1.9-2
- Renaming s/panjabi/punjabi/ to fit the name in glibc

* Wed Feb 23 2005 Leon Ho <llch@redhat.com> 1.9-1
- Moved to fonts-indic

* Fri Nov 26 2004 Leon Ho <llch@redhat.com> 1.8-1
- rescaled some of the fonts (ta, gu) (#139990)
- fixed some of the char composition (#138150)
- disabled specific ascii glyphs from all the fonts (#140895)

* Mon Nov 22 2004 Leon Ho <llch@redhat.com>
- Use the fc-cache with /usr/share/fonts instead of child directory

* Thu Nov  4 2004 Leon Ho <llch@redhat.com> 1.7-1
- updated with rescaled fonts (#137147, Jatin)
- repackaged into new sources with same filenames

* Tue Oct 19 2004 Leon Ho <llch@redhat.com>
- Updated the source with new names
- Updated with proper license info

* Thu Oct 14 2004 Leon Ho <llch@redhat.com>
- Updated the source. Five fonts are provided.
- Added COPYING for license

* Mon Oct 04 2004 Jatin Nansi <jnansi@redhat.com>
- added '-f' to fc-cache.
- changed the fc-cache command in the post* sections.
- Assign correct version nos.

* Mon Oct 04 2004 Leon Ho <llch@redhat.com>
- added /usr/share/fonts path to fc-cache cmd
- added minor version number

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com>
- review and cleanup
